Página 1 de 1

Actualización de Perl a la versión 5.20

Publicado: 08 Jun 2014, 07:45
por Traumness
Como viene sucediendo con otras actualizaciones de Perl, la versión 5.20 necesita que todos los módulos que no estén escritos con código perl vuelvan a ser compilados. Algo que ya hemos hecho con todos los paquetes presentes en nuestros repositorios.

Las dos últimas grandes actualizaciones devolvían un mensaje al tratar de cargar los módulos compilados de acuerdo a una versión que no era la correcta. La versión 5.20 produce segfaults. Hay que asegurarse de recompilar todos los modulos CPAN, así como los ficheros binarios, que se tengan instalados y que apunten a libperl.so.

En mi post en arch-dev-public hay un script con el que encontrar dichos paquetes.

Florian Pritz, 4 de junio de 2014
Publicado en archlinux.org; noticia original en inglés.